Package org.apache.synapse.transport.passthru.core

# Enum IOReactorSharingMode

java.lang.Object
java.lang.Enum<IOReactorSharingMode>
org.apache.synapse.transport.passthru.core.IOReactorSharingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<IOReactorSharingMode>`, `java.lang.constant.Constable`

public enum IOReactorSharingMode extends Enum<IOReactorSharingMode>
States of the IOReactor sharing among HTTP Axis2 Listeners and Inbound Endpoints

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SHARED`
  Seperate IO Reactor for all Axis2 Listeners and share one IO Reactor among Inbound Endpoints
  `UNSHARED`
  Seperate IO Reactor for all Axis2 Listeners and seperate IOReactor for Inbound Endpoints

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IOReactorSharingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IOReactorSharingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHARED

    public static final IOReactorSharingMode SHARED
    Seperate IO Reactor for all Axis2 Listeners and share one IO Reactor among Inbound Endpoints

  - ### UNSHARED

    public static final IOReactorSharingMode UNSHARED
    Seperate IO Reactor for all Axis2 Listeners and seperate IOReactor for Inbound Endpoints

- ## Method Details

  - ### values

    public static IOReactorSharingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IOReactorSharingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null